@echo off

:ham1
if NOT EXIST c:\imail\visioncomm.net\users\harry\main.mbx goto ham2
del c:\imail\visioncomm.net\users\harry\main.uid
del c:\imail\visioncomm.net\users\harry\harry.mbx
rename c:\imail\visioncomm.net\users\harry\main.mbx harry.mbx
call sa-learn --mbox --dbpath "c:\imail\<domainname>\bayes" --ham  c:\imail\visioncomm.net\users\harry\harry.mbx

:ham2
if NOT EXIST c:\imail\visioncomm.net\users\harry\spam.mbx goto spam1
del c:\imail\visioncomm.net\users\harry\spam.uid
del c:\imail\visioncomm.net\users\harry\harry2.mbx
rename c:\imail\visioncomm.net\users\harry\spam.mbx harry2.mbx
call sa-learn --mbox --dbpath "c:\imail\<domainname>\bayes" --ham  c:\imail\visioncomm.net\users\harry\harry2.mbx

:spam1
if NOT EXIST c:\imail\visioncomm.net\users\susan\main.mbx goto spam2
del c:\imail\visioncomm.net\users\susan\main.uid
del c:\imail\visioncomm.net\users\susan\susan.mbx
rename c:\imail\visioncomm.net\users\susan\main.mbx susan.mbx
call sa-learn --mbox --dbpath "c:\imail\<domainname>\bayes" --spam c:\imail\visioncomm.net\users\susan\susan.mbx

:spam2
if NOT EXIST c:\imail\visioncomm.net\users\susan\spam.mbx goto done
del c:\imail\visioncomm.net\users\susan\spam.uid
del c:\imail\visioncomm.net\users\susan\susan2.mbx
rename c:\imail\visioncomm.net\users\susan\spam.mbx susan2.mbx
call sa-learn --mbox --dbpath "c:\imail\<domainname>\bayes" --spam c:\imail\visioncomm.net\users\susan\susan2.mbx

:done
